# stdexcept File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file stdexcept.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::domain_error
- class std::invalid_argument
- class std::length_error
- class std::logic_error
    One of two subclasses of exception. More...
- class std::out_of_range
- class std::overflow_error
- class std::range_error
- class std::runtime_error
    One of two subclasses of exception. More...
- class std::underflow_error

## Defines

- #define _GLIBCXX_STDEXCEPT